org.eclipse.aether.internal.impl

## Class DefaultUpdateCheckManager

- java.lang.Object
- - org.eclipse.aether.internal.impl.DefaultUpdateCheckManager

- All Implemented Interfaces:
    UpdateCheckManager, Service

      @Named
      @Component(role=UpdateCheckManager.class)
      public class DefaultUpdateCheckManager
      extends Object
      implements UpdateCheckManager, Service

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultUpdateCheckManager()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `checkArtifact(RepositorySystemSession session, UpdateCheck<Artifact,ArtifactTransferException> check)` Checks whether an artifact has to be updated from a remote repository.
    `void` | `checkMetadata(RepositorySystemSession session, UpdateCheck<Metadata,MetadataTransferException> check)` Checks whether metadata has to be updated from a remote repository.
    `void` | `initService(ServiceLocator locator)` Provides the opportunity to initialize this service and to acquire other services for its operation from the locator.
    `DefaultUpdateCheckManager` | `setLoggerFactory(LoggerFactory loggerFactory)`
    `DefaultUpdateCheckManager` | `setUpdatePolicyAnalyzer(UpdatePolicyAnalyzer updatePolicyAnalyzer)`
    `void` | `touchArtifact(RepositorySystemSession session, UpdateCheck<Artifact,ArtifactTransferException> check)` Updates the timestamp for the artifact contained in the update check.
    `void` | `touchMetadata(RepositorySystemSession session, UpdateCheck<Metadata,MetadataTransferException> check)` Updates the timestamp for the metadata contained in the update check.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DefaultUpdateCheckManager

          public DefaultUpdateCheckManager()

  - ### Method Detail

    - #### initService

          public void initService(ServiceLocator locator)

      Description copied from interface: `Service`
      Provides the opportunity to initialize this service and to acquire other services for its operation from the locator. A service must not save the reference to the provided service locator.
      Specified by:
        `initService` in interface `Service`
      Parameters:
        `locator` - The service locator, must not be `null`.

    - #### setLoggerFactory

          public DefaultUpdateCheckManager setLoggerFactory(LoggerFactory loggerFactory)

    - #### setUpdatePolicyAnalyzer

          public DefaultUpdateCheckManager setUpdatePolicyAnalyzer(UpdatePolicyAnalyzer updatePolicyAnalyzer)

    - #### checkArtifact

          public void checkArtifact(RepositorySystemSession session,
                           UpdateCheck<Artifact,ArtifactTransferException> check)

      Description copied from interface: `UpdateCheckManager`
      Checks whether an artifact has to be updated from a remote repository.
      Specified by:
        `checkArtifact` in interface `UpdateCheckManager`
      Parameters:
        `session` - The repository system session during which the request is made, must not be `null`.
        `check` - The update check request, must not be `null`.

    - #### checkMetadata

          public void checkMetadata(RepositorySystemSession session,
                           UpdateCheck<Metadata,MetadataTransferException> check)

      Description copied from interface: `UpdateCheckManager`
      Checks whether metadata has to be updated from a remote repository.
      Specified by:
        `checkMetadata` in interface `UpdateCheckManager`
      Parameters:
        `session` - The repository system session during which the request is made, must not be `null`.
        `check` - The update check request, must not be `null`.

    - #### touchArtifact

          public void touchArtifact(RepositorySystemSession session,
                           UpdateCheck<Artifact,ArtifactTransferException> check)

      Description copied from interface: `UpdateCheckManager`
      Updates the timestamp for the artifact contained in the update check.
      Specified by:
        `touchArtifact` in interface `UpdateCheckManager`
      Parameters:
        `session` - The repository system session during which the request is made, must not be `null`.
        `check` - The update check request, must not be `null`.

    - #### touchMetadata

          public void touchMetadata(RepositorySystemSession session,
                           UpdateCheck<Metadata,MetadataTransferException> check)

      Description copied from interface: `UpdateCheckManager`
      Updates the timestamp for the metadata contained in the update check.
      Specified by:
        `touchMetadata` in interface `UpdateCheckManager`
      Parameters:
        `session` - The repository system session during which the request is made, must not be `null`.
        `check` - The update check request, must not be `null`.

Copyright © 2010-2013 The Eclipse Foundation. All Rights Reserved.